Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7373 - Allocation size error in pam_ftp module
Summary: Allocation size error in pam_ftp module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-27 08:39 UTC by Matthias Urlichs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 23:12:03 UTC


Attachments (Terms of Use)

Description Matthias Urlichs 1999-11-27 08:39:27 UTC
Line 222:

            prompt = malloc(sizeof(PLEASE_ENTER_PASSWORD + strlen(user)));
            sprintf(prompt, PLEASE_ENTER_PASSWORD, user);

I'm amazed that this does even compile.  ;-)

Change to:
            prompt = malloc(sizeof(PLEASE_ENTER_PASSWORD) + strlen(user));
            sprintf(prompt, PLEASE_ENTER_PASSWORD, user);

Comment 1 Nalin Dahyabhai 2000-02-05 23:12:59 UTC
This is fixed as of pam-0.72-1 and later in Raw Hide, slated for
inclusion in our next release.


Note You need to log in before you can comment on or make changes to this bug.